# Gitea-Assigment-Migrator

Migrate assignments for Gitea-Issues after a Gitea2Gitea-Migration.

## Purpose

- Migrate assignments for Gitea-Issues after a Gitea2Gitea-Migration
    - issues must have the same ID on both systems
    - users must have the same NAME on both systems
    - users must have the right to be assigned on both systems
- example
    - OLD: https://oldgitea.example.com/my_organisation/my_repository
    - NEW: https://newgitea.example.com/my_organisation/my_repository
- Typical Workflow
    1. migrate your repository from your OLD Gitea instance to your NEW one
    2. use this script to migrate the assignments

## For mor information

…[read the script](migrate_assignments.sh) or read the help-page. 

```sh
chmod +x migrate_assignments.sh
./migrate_assignments.sh --help
```

## License
This script is free software under the `GPL-3.0-or-later`, see [LICENSE](LICENSE).
